myfaces-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Patricio Sanchez <patsa...@yahoo.fr>
Subject RE : Re: Help to use MyFaces
Date Thu, 18 Jan 2007 02:47:25 GMT
I still can not run "blank.war" from MyFaces site. It
seem that all of you have no problem to run MyFaces.
But me, I am not able to run the most simple
application "blank.war". Every time I deploy it it
says that it has deployed it, but it doesn't work
(sandbox.jar and tomahawk.jar remains in the exploded
app dir fo Tomcat).

If also, tried removing "tomahawk.jar" and/or
"sandbox.jar", but the deployment fails and the log
says:
SEVERE: Exception starting filter extensionsFilter
java.lang.ClassNotFoundException:
org.apache.myfaces.component.html.util.ExtensionsFilter

I've also tried reinstalling everything from scratch:
Windows XP (Yes! I did it), J2SE 1.5, Tomcat 5.5.20
and Ant 1.6.5. So, I do not have any hidden libraries
or anything special in my filesystem.

Can anyone give some useful configuration to run
MyFaces? Or perhaps a better version of "blank.war" or
any other application that works? Or there is some
black magic involved that I don't know?

Thanks in advance,
Patricio.

--- Werner Punz <werpu@gmx.at> a écrit :

> Patricio Sanchez schrieb:
> > Hi, I am starting to try myfaces, so I downloaded
> and
> > deployed "blank.war" to test. After changing a
> single
> > letter in a JSP page an redeploy, I keep getting
> the
> > error:
> > 
> > SEVERE: Error listener start
> > 
> > Log file says:
> > 
> > java.lang.ClassNotFoundException:
> >
>
org.apache.myfaces.component.html.util.ExtensionsFilter
> > 	at
> >
>
org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1340)
> > 	at
> >
>
org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1189)
> > 
> > So I can not redeploy the application. I can't
> figure
> > it out what am I doing wrong. 
> > 
> > Also I tried reinstalling J2SE 1.5.0 and Tomcat
> 5.0.28
> > from scratch, but it doesn't work anyway.
> > 
> > Thanks in advance, 
> > Patricio.
> > 
> > 
> Tomcat 5.0 seems kindof old...
> Try to use a newer tomcat version...
> Although it should not make any difference, myfaces
> does not use
> JDK5 constructs!
> 
> 



	

	
		
___________________________________________________________________________ 
Découvrez une nouvelle façon d'obtenir des réponses à toutes vos questions ! 
Profitez des connaissances, des opinions et des expériences des internautes sur Yahoo! Questions/Réponses

http://fr.answers.yahoo.com

Mime
View raw message